	format	MS COFF
	extrn	_CallWindowProcA@20
	extrn	_GetProcAddress@8
	extrn	_GetWindowLongA@8
	extrn	_LoadLibraryA@4
	extrn	_SetWindowLongA@12
	extrn	___bb_basic_basic
	extrn	___bb_blitz_blitz
	extrn	___bb_drivers_drivers
	extrn	___bb_eventqueue_eventqueue
	extrn	___bb_glmax2d_glmax2d
	extrn	___bb_jpgloader_jpgloader
	extrn	_bbAppTitle
	extrn	_bbEnd
	extrn	_bbGCFree
	extrn	_bbIncbinAdd
	extrn	_bbMemFree
	extrn	_bbNullObject
	extrn	_bbStringClass
	extrn	_bbStringToCString
	extrn	_brl_blitz_NullFunctionError
	extrn	_brl_eventqueue_EventID
	extrn	_brl_eventqueue_EventSource
	extrn	_brl_eventqueue_WaitEvent
	extrn	_brl_graphics_Flip
	extrn	_brl_graphics_SetGraphics
	extrn	_brl_max2d_DrawPixmap
	extrn	_brl_pixmap_LoadPixmap
	extrn	_brl_system_Notify
	extrn	_maxgui_maxgui_ActivateGadget
	extrn	_maxgui_maxgui_CanvasGraphics
	extrn	_maxgui_maxgui_ClientHeight
	extrn	_maxgui_maxgui_ClientWidth
	extrn	_maxgui_maxgui_CreateButton
	extrn	_maxgui_maxgui_CreateCanvas
	extrn	_maxgui_maxgui_CreateWindow
	extrn	_maxgui_maxgui_Desktop
	extrn	_maxgui_maxgui_QueryGadget
	extrn	_maxgui_maxgui_RedrawGadget
	extrn	_maxgui_maxgui_SetGadgetLayout
	extrn	_maxgui_maxgui_SetPanelColor
	extrn	_system_
	public	__bb_main
	public	_bb_OldWindowFunc
	public	_bb_SetWindowFunc
	public	_bb_WindowFunc
	public	_bb_canvas
	section	"code" code
__bb_main:
	push	ebp
	mov	ebp,esp
	sub	esp,4
	push	ebx
	push	esi
	push	edi
	cmp	dword [_73],0
	je	_74
	mov	eax,0
	pop	edi
	pop	esi
	pop	ebx
	mov	esp,ebp
	pop	ebp
	ret
_74:
	mov	dword [_73],1
	mov	eax,_42
	sub	eax,_41
	push	eax
	push	_41
	push	_40
	call	_bbIncbinAdd
	add	esp,12
	call	___bb_blitz_blitz
	call	___bb_glmax2d_glmax2d
	call	___bb_eventqueue_eventqueue
	call	___bb_jpgloader_jpgloader
	call	___bb_drivers_drivers
	call	___bb_basic_basic
	mov	dword [ebp-4],_brl_blitz_NullFunctionError
	push	_17
	call	_bbStringToCString
	add	esp,4
	mov	esi,eax
	push	esi
	call	_LoadLibraryA@4
	mov	ebx,eax
	push	esi
	call	_bbMemFree
	add	esp,4
	cmp	ebx,0
	je	_47
	push	_18
	call	_bbStringToCString
	add	esp,4
	mov	esi,eax
	push	esi
	push	ebx
	call	_GetProcAddress@8
	mov	ebx,eax
	push	esi
	call	_bbMemFree
	add	esp,4
	cmp	ebx,0
	jne	_51
	mov	ebx,_brl_blitz_NullFunctionError
_51:
	mov	dword [ebp-4],ebx
_47:
	mov	ebx,_19
	inc	dword [ebx+4]
	mov	eax,dword [_bbAppTitle]
	dec	dword [eax+4]
	jnz	_55
	push	eax
	call	_bbGCFree
	add	esp,4
_55:
	mov	dword [_bbAppTitle],ebx
	push	3
	push	_bbNullObject
	push	330
	push	600
	call	_maxgui_maxgui_Desktop
	push	eax
	call	_maxgui_maxgui_ClientHeight
	add	esp,4
	cdq
	and	edx,1
	add	eax,edx
	sar	eax,1
	sub	eax,165
	push	eax
	call	_maxgui_maxgui_Desktop
	push	eax
	call	_maxgui_maxgui_ClientWidth
	add	esp,4
	cdq
	and	edx,1
	add	eax,edx
	sar	eax,1
	sub	eax,300
	push	eax
	push	_19
	call	_maxgui_maxgui_CreateWindow
	add	esp,28
	mov	esi,eax
	mov	eax,dword [_58]
	and	eax,1
	cmp	eax,0
	jne	_59
	push	0
	push	esi
	push	330
	push	600
	push	0
	push	0
	call	_maxgui_maxgui_CreateCanvas
	add	esp,24
	inc	dword [eax+4]
	mov	dword [_bb_canvas],eax
	or	dword [_58],1
_59:
	push	0
	push	0
	push	0
	push	esi
	call	_maxgui_maxgui_SetPanelColor
	add	esp,16
	mov	eax,dword [_58]
	and	eax,2
	cmp	eax,0
	jne	_60
	push	_bb_WindowFunc
	push	esi
	call	_bb_SetWindowFunc
	add	esp,8
	mov	dword [_bb_OldWindowFunc],eax
	or	dword [_58],2
_60:
	push	1
	push	1
	push	1
	push	1
	push	dword [_bb_canvas]
	call	_maxgui_maxgui_SetGadgetLayout
	add	esp,20
	push	dword [_bb_canvas]
	call	_maxgui_maxgui_CanvasGraphics
	add	esp,4
	push	eax
	call	_brl_graphics_SetGraphics
	add	esp,4
	push	dword [_bb_canvas]
	call	_maxgui_maxgui_ActivateGadget
	add	esp,4
	push	_20
	call	_brl_pixmap_LoadPixmap
	add	esp,4
	mov	ebx,eax
	push	0
	push	0
	push	ebx
	call	_brl_max2d_DrawPixmap
	add	esp,12
	push	8
	push	dword [_bb_canvas]
	push	30
	push	120
	push	190
	push	240
	push	_21
	call	_maxgui_maxgui_CreateButton
	add	esp,28
	mov	edi,eax
	push	80
	push	1
	push	1
	push	1
	push	esi
	call	_maxgui_maxgui_QueryGadget
	add	esp,8
	push	eax
	call	dword [ebp-4]
	jmp	_22
_24:
	call	_brl_eventqueue_WaitEvent
	call	_brl_eventqueue_EventID
	cmp	eax,16387
	je	_65
	cmp	eax,259
	je	_66
	cmp	eax,2049
	je	_67
	cmp	eax,8194
	je	_68
	cmp	eax,8193
	je	_69
	jmp	_64
_65:
	call	_bbEnd
	jmp	_64
_66:
	call	_bbEnd
	jmp	_64
_67:
	push	dword [_bb_canvas]
	call	_maxgui_maxgui_RedrawGadget
	add	esp,4
	jmp	_64
_68:
	push	dword [_bb_canvas]
	call	_maxgui_maxgui_CanvasGraphics
	add	esp,4
	push	eax
	call	_brl_graphics_SetGraphics
	add	esp,4
	push	0
	push	0
	push	ebx
	call	_brl_max2d_DrawPixmap
	add	esp,12
	push	0
	call	_brl_graphics_Flip
	add	esp,4
	jmp	_64
_69:
	call	_brl_eventqueue_EventSource
	cmp	eax,edi
	je	_72
	jmp	_71
_72:
	call	_bbEnd
	jmp	_71
_71:
	jmp	_64
_64:
_22:
	mov	eax,1
	cmp	eax,0
	jne	_24
_23:
	call	_bbEnd
	mov	eax,0
	jmp	_28
_28:
	pop	edi
	pop	esi
	pop	ebx
	mov	esp,ebp
	pop	ebp
	ret
_bb_WindowFunc:
	push	ebp
	mov	ebp,esp
	push	ebx
	push	esi
	push	edi
	mov	esi,dword [ebp+8]
	mov	ebx,dword [ebp+12]
	mov	edi,dword [ebp+16]
	mov	eax,ebx
	cmp	eax,786
	je	_77
	cmp	eax,2
	je	_78
	jmp	_76
_77:
	push	_25
	call	_system_
	add	esp,4
	push	_26
	call	_system_
	add	esp,4
	push	0
	push	_27
	call	_brl_system_Notify
	add	esp,8
	jmp	_76
_78:
	push	dword [_bb_OldWindowFunc]
	push	-4
	push	esi
	call	_SetWindowLongA@12
	jmp	_76
_76:
	push	dword [ebp+20]
	push	edi
	push	ebx
	push	esi
	push	dword [_bb_OldWindowFunc]
	call	_CallWindowProcA@20
	jmp	_34
_34:
	pop	edi
	pop	esi
	pop	ebx
	mov	esp,ebp
	pop	ebp
	ret	16
_bb_SetWindowFunc:
	push	ebp
	mov	ebp,esp
	push	ebx
	push	esi
	push	edi
	mov	eax,dword [ebp+8]
	mov	esi,dword [ebp+12]
	push	1
	push	eax
	call	_maxgui_maxgui_QueryGadget
	add	esp,8
	mov	ebx,eax
	push	-4
	push	ebx
	call	_GetWindowLongA@8
	mov	edi,eax
	mov	eax,esi
	push	eax
	push	-4
	push	ebx
	call	_SetWindowLongA@12
	mov	eax,edi
	jmp	_38
_38:
	pop	edi
	pop	esi
	pop	ebx
	mov	esp,ebp
	pop	ebp
	ret
	section	"data" data writeable align 8
	align	4
_73:
	dd	0
	align	4
_41:
	file	"C:/Spiele/Frontier/Elite Dangerous Anti-Panic Button/Splash.jpg"
_42:
	align	4
_40:
	dd	_bbStringClass
	dd	2147483647
	dd	10
	dw	83,112,108,97,115,104,46,106,112,103
	align	4
_17:
	dd	_bbStringClass
	dd	2147483647
	dd	10
	dw	117,115,101,114,51,50,46,100,108,108
	align	4
_18:
	dd	_bbStringClass
	dd	2147483647
	dd	14
	dw	82,101,103,105,115,116,101,114,72,111,116,75,101,121
	align	4
_19:
	dd	_bbStringClass
	dd	2147483647
	dd	33
	dw	69,108,105,116,101,32,68,97,110,103,101,114,111,117,115,32
	dw	65,110,116,105,45,80,97,110,105,99,32,66,117,116,116,111
	dw	110
	align	4
_58:
	dd	0
	align	4
_bb_canvas:
	dd	_bbNullObject
	align	4
_bb_OldWindowFunc:
	dd	0
	align	4
_20:
	dd	_bbStringClass
	dd	2147483647
	dd	18
	dw	105,110,99,98,105,110,58,58,83,112,108,97,115,104,46,106
	dw	112,103
	align	4
_21:
	dd	_bbStringClass
	dd	2147483647
	dd	5
	dw	67,108,111,115,101
	align	4
_25:
	dd	_bbStringClass
	dd	2147483647
	dd	36
	dw	116,97,115,107,107,105,108,108,32,47,102,32,47,105,109,32
	dw	69,108,105,116,101,68,97,110,103,101,114,111,117,115,51,50
	dw	46,101,120,101
	align	4
_26:
	dd	_bbStringClass
	dd	2147483647
	dd	36
	dw	116,97,115,107,107,105,108,108,32,47,102,32,47,105,109,32
	dw	69,108,105,116,101,68,97,110,103,101,114,111,117,115,54,52
	dw	46,101,120,101
	align	4
_27:
	dd	_bbStringClass
	dd	2147483647
	dd	31
	dw	69,108,105,116,101,32,68,97,110,103,101,114,111,117,115,32
	dw	80,114,111,99,101,115,115,32,107,105,108,108,101,100,33
